Package org.apache.sysds.runtime.io

# Class ReaderTextCellParallel.CountNnzTask

java.lang.Object
org.apache.sysds.runtime.io.ReaderTextCellParallel.CountNnzTask

All Implemented Interfaces:
  `Callable<Void>`

Enclosing class:
  ReaderTextCellParallel

public static class ReaderTextCellParallel.CountNnzTask extends Object implements Callable<Void>

## Constructor Summary

Constructors
Constructor
Description
`CountNnzTask(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat informat, org.apache.hadoop.mapred.JobConf job, int[] rNnz, boolean isSymmetric)`

## Method Summary

Modifier and Type
Method
Description
`Void`
`call()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CountNnzTask

public CountNnzTask(org.apache.hadoop.mapred.InputSplit split, org.apache.hadoop.mapred.TextInputFormat informat, org.apache.hadoop.mapred.JobConf job, int[] rNnz, boolean isSymmetric)

## Method Details

### call

public Void call() throws Exception

Specified by:
  `call` in interface `Callable<Void>`
Throws:
  `Exception`